Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-0227

Overview

Vulnerability Score 9.3 9.3
CVE Id CVE-2012-0227
Last Modified 29 Jan 2013 12:00:00
Published 12 Oct 2012 04:55:02
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2012-0227

Summary

Buffer overflow in the VSFlex7.VSFlexGrid ActiveX control in ComponentOne FlexGrid 7.1, as used in Open Automation Software OPC Systems.NET, allows remote attackers to cause a denial of service and possibly execute arbitrary code via a long archive file name argument to the Archive method.

Vulnerable Systems

Application

  • Componentone Flexgrid 7.1

  • Opcsystems.net -

  • Opcsystems.net 4.0


References

XF - flexgrid-activex-bo(72604)

MISC - http://www.us-cert.gov/control_systems/pdf/ICSA-12-012-01A.pdf

BID - 51601

MISC - http://dsecrg.com/pages/vul/show.php?id=406


Last Updated: 27 May 2016 10:55:03